Loading...
Searching...
No Matches
sdbus::signature_of< _T, _Enable > Struct Template Reference

## Static Public Attributes

static constexpr bool | is_valid = false
static constexpr bool | is_trivial_dbus_type = false
static constexpr void * | value

## Member Data Documentation

## value

template<typename _T, typename _Enable>

void* sdbus::signature_of< _T, _Enable >::value

static constexpr

Initial value:
= []
{
static_assert(always_false<_T>, "Unsupported D-Bus type (specialize `signature_of` for your custom types)");
}

The documentation for this struct was generated from the following file:

- include/sdbus-c++/TypeTraits.h